﻿/**Begin D:\PDM_UPGRADE\PDM1\HRPI_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRPI_BUSIEVENT', 'T_HRPI_BUSIEVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_BUSIEVENT') CREATE INDEX IDX_HRPI_BUSIEVENT ON T_HRPI_BUSIEVENT ( FSOURCEENTITY ,FBOID ,FEVENTID );


 EXEC P_ALTERPK 'PK_HRPI_EVENT', 'T_HRPI_EVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EVENT') CREATE INDEX IDX_HRPI_EVENT ON T_HRPI_EVENT ( FEVENTBATCHTYPE );


 EXEC P_ALTERPK 'PK_HRPI_EVENTRELHIS', 'T_HRPI_EVENTRELHIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EVENTRELHIS') CREATE INDEX IDX_HRPI_EVENTRELHIS ON T_HRPI_EVENTRELHIS ( FBUSIEVENTID );


 EXEC P_ALTERPK 'PK_HRPI_ERFILETYPASSIGN', 'T_HRPI_ERFILETYPASSIGN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERFILETYPASSIGN') CREATE INDEX IDX_HRPI_ERFILETYPASSIGN ON T_HRPI_ERFILETYPASSIGN ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRPI_ERFILETYPASSIGN_L', 'T_HRPI_ERFILETYPASSIGN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERFILETYPASSIGN_L') CREATE INDEX IDX_HRPI_ERFILETYPASSIGN_L ON T_HRPI_ERFILETYPASSIGN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_ERFILETYPE_L', 'T_HRPI_ERFILETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERFILETYPE_L') CREATE INDEX IDX_HRPI_ERFILETYPE_L ON T_HRPI_ERFILETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_ERFILETYPEEXC', 'T_HRPI_ERFILETYPEEXC', 'FDATAID,FUSEORGID', '1';

 
 EXEC P_ALTERPK 'PK_HRPI_ERFILETYPEUSEREG', 'T_HRPI_ERFILETYPEUSEREG', 'FUSEORGID,FDATAID', '1';


 EXEC P_ALTERPK 'PK_HRPI_ERMANFILE_L', 'T_HRPI_ERMANFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_L') CREATE INDEX IDX_HRPI_ERMANFILE_L ON T_HRPI_ERMANFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_LABORRELSTATUSMBD', 'T_HRPI_LABORRELSTATUSMBD', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ID') CREATE INDEX IDX_HRPI_ID ON T_HRPI_LABORRELSTATUSMBD ( FID );


 EXEC P_ALTERPK 'PK_HRPI_ERFILETYPE', 'T_HRPI_ERFILETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERFILETYPE') CREATE INDEX IDX_HRPI_ERFILETYPE ON T_HRPI_ERFILETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRPI_ERMANFILE', 'T_HRPI_ERMANFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE') CREATE INDEX IDX_HRPI_ERMANFILE ON T_HRPI_ERMANFILE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_ADMINORG') CREATE INDEX IDX_HRPI_ERMANFILE_ADMINORG ON T_HRPI_ERMANFILE ( FAFFILIATEADMINORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_ORGID') CREATE INDEX IDX_HRPI_ERMANFILE_ORGID ON T_HRPI_ERMANFILE ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_EMPPOS') CREATE INDEX IDX_HRPI_ERMANFILE_EMPPOS ON T_HRPI_ERMANFILE ( FEMPPOSRELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_EMP') CREATE INDEX IDX_HRPI_ERMANFILE_EMP ON T_HRPI_ERMANFILE ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_DEP') CREATE INDEX IDX_HRPI_ERMANFILE_DEP ON T_HRPI_ERMANFILE ( FDEPEMPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_NUMBER') CREATE INDEX IDX_HRPI_ERMANFILE_NUMBER ON T_HRPI_ERMANFILE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_ERMANFILE_BO') CREATE INDEX IDX_HRPI_ERMANFILE_BO ON T_HRPI_ERMANFILE ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_CMPEMP_L', 'T_HRPI_CMPEMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CMPEMP_L') CREATE INDEX IDX_HRPI_CMPEMP_L ON T_HRPI_CMPEMP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_DEPEMP_L', 'T_HRPI_DEPEMP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_L') CREATE INDEX IDX_HRPI_DEPEMP_L ON T_HRPI_DEPEMP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPENTREL_L', 'T_HRPI_EMPENTREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_L') CREATE INDEX IDX_HRPI_EMPENTREL_L ON T_HRPI_EMPENTREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPJOBREL_L', 'T_HRPI_EMPJOBREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPJOBREL_L') CREATE INDEX IDX_HRPI_EMPJOBREL_L ON T_HRPI_EMPJOBREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPLOYEE_L', 'T_HRPI_EMPLOYEE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPLOYEE_L') CREATE INDEX IDX_HRPI_EMPLOYEE_L ON T_HRPI_EMPLOYEE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPNONENTREL_L', 'T_HRPI_EMPNONENTREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPNONENTREL_L') CREATE INDEX IDX_HRPI_EMPNONENTREL_L ON T_HRPI_EMPNONENTREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPORGRELALL_L', 'T_HRPI_EMPORGRELALL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPORGRELALL_L') CREATE INDEX IDX_HRPI_EMPORGRELALL_L ON T_HRPI_EMPORGRELALL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPPOSORGREL_L', 'T_HRPI_EMPPOSORGREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_L') CREATE INDEX IDX_HRPI_EMPPOSORGREL_L ON T_HRPI_EMPPOSORGREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERCONTACT_L', 'T_HRPI_PERCONTACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCONTACT_L') CREATE INDEX IDX_HRPI_PERCONTACT_L ON T_HRPI_PERCONTACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PEREXT_L', 'T_HRPI_PEREXT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREXT_L') CREATE INDEX IDX_HRPI_PEREXT_L ON T_HRPI_PEREXT_L ( FPEREXTID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERREGION_L', 'T_HRPI_PERREGION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERREGION_L') CREATE INDEX IDX_HRPI_PERREGION_L ON T_HRPI_PERREGION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERSON_L', 'T_HRPI_PERSON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSON_L') CREATE INDEX IDX_HRPI_PERSON_L ON T_HRPI_PERSON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_BASELOCATION_L', 'T_HRPI_BASELOCATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_BASELOCATION_L') CREATE INDEX IDX_HRPI_BASELOCATION_L ON T_HRPI_BASELOCATION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_CONTRWORKLOC_L', 'T_HRPI_CONTRWORKLOC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CONTRWORKLOC_L') CREATE INDEX IDX_HRPI_CONTRWORKLOC_L ON T_HRPI_CONTRWORKLOC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMRGCONTACT_L', 'T_HRPI_EMRGCONTACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMRGCONTACT_L') CREATE INDEX IDX_HRPI_EMRGCONTACT_L ON T_HRPI_EMRGCONTACT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_FAMILYMEMB_L', 'T_HRPI_FAMILYMEMB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_FAMILYMEMB_L') CREATE INDEX IDX_HRPI_FAMILYMEMB_L ON T_HRPI_FAMILYMEMB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_LEGALENTITY_L', 'T_HRPI_LEGALENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LEGALENTITY_L') CREATE INDEX IDX_HRPI_LEGALENTITY_L ON T_HRPI_LEGALENTITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_MANAGINGSCOPE_L', 'T_HRPI_MANAGINGSCOPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_MANAGINGSCOPE_L') CREATE INDEX IDX_HRPI_MANAGINGSCOPE_L ON T_HRPI_MANAGINGSCOPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERADDRESS_L', 'T_HRPI_PERADDRESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERADDRESS_L') CREATE INDEX IDX_HRPI_PERADDRESS_L ON T_HRPI_PERADDRESS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PEREDUEXPCERT_L', 'T_HRPI_PEREDUEXPCERT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREDUEXPCERT_L') CREATE INDEX IDX_HRPI_PEREDUEXPCERT_L ON T_HRPI_PEREDUEXPCERT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERLGABILITY_L', 'T_HRPI_PERLGABILITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERLGABILITY_L') CREATE INDEX IDX_HRPI_PERLGABILITY_L ON T_HRPI_PERLGABILITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PREWORKEXP_L', 'T_HRPI_PREWORKEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PREWORKEXP_L') CREATE INDEX IDX_HRPI_PREWORKEXP_L ON T_HRPI_PREWORKEXP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_RSMPROSKL_L', 'T_HRPI_RSMPROSKL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_RSMPROSKL_L') CREATE INDEX IDX_HRPI_RSMPROSKL_L ON T_HRPI_RSMPROSKL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_TRIALPERIODRST_L', 'T_HRPI_TRIALPERIODRST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIODRST_L') CREATE INDEX IDX_HRPI_TRIALPERIODRST_L ON T_HRPI_TRIALPERIODRST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_FERTILITYINFO_L', 'T_HRPI_FERTILITYINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_FERTILITYINFO_L') CREATE INDEX IDX_HRPI_FERTILITYINFO_L ON T_HRPI_FERTILITYINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_TRIALPERIOD_L', 'T_HRPI_TRIALPERIOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIOD_L') CREATE INDEX IDX_HRPI_TRIALPERIOD_L ON T_HRPI_TRIALPERIOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERCRE_L', 'T_HRPI_PERCRE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCRE_L') CREATE INDEX IDX_HRPI_PERCRE_L ON T_HRPI_PERCRE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PEREDUEXP_L', 'T_HRPI_PEREDUEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREDUEXP_L') CREATE INDEX IDX_HRPI_PEREDUEXP_L ON T_HRPI_PEREDUEXP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERTSPROP_L', 'T_HRPI_PERTSPROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERTSPROP_L') CREATE INDEX IDX_HRPI_PERTSPROP_L ON T_HRPI_PERTSPROP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPORGRELALL', 'T_HRPI_EMPORGRELALL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGRELALL') CREATE INDEX IDX_HRPI_EMPPOSORGRELALL ON T_HRPI_EMPORGRELALL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPORGRELALL_BO') CREATE INDEX IDX_HRPI_EMPORGRELALL_BO ON T_HRPI_EMPORGRELALL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERCONTACT', 'T_HRPI_PERCONTACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCONTACT') CREATE INDEX IDX_HRPI_PERCONTACT ON T_HRPI_PERCONTACT ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCONTACT_BO') CREATE INDEX IDX_HRPI_PERCONTACT_BO ON T_HRPI_PERCONTACT ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_BASELOCATION', 'T_HRPI_BASELOCATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_BASELOCATION') CREATE INDEX IDX_HRPI_BASELOCATION ON T_HRPI_BASELOCATION ( FLOCATIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_BASELOCATION_EMP') CREATE INDEX IDX_HRPI_BASELOCATION_EMP ON T_HRPI_BASELOCATION ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_BASELOCATION_PER') CREATE INDEX IDX_HRPI_BASELOCATION_PER ON T_HRPI_BASELOCATION ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_BASELOCATION_BO') CREATE INDEX IDX_HRPI_BASELOCATION_BO ON T_HRPI_BASELOCATION ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_CONTRWORKLOC', 'T_HRPI_CONTRWORKLOC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CONTRWORKLOC') CREATE INDEX IDX_HRPI_CONTRWORKLOC ON T_HRPI_CONTRWORKLOC ( FAGREEDLOCATIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CONTRWORKLOC_EMP') CREATE INDEX IDX_HRPI_CONTRWORKLOC_EMP ON T_HRPI_CONTRWORKLOC ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CONTRWORKLOC_PER') CREATE INDEX IDX_HRPI_CONTRWORKLOC_PER ON T_HRPI_CONTRWORKLOC ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CONTRWORKLOC_BO') CREATE INDEX IDX_HRPI_CONTRWORKLOC_BO ON T_HRPI_CONTRWORKLOC ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMRGCONTACT', 'T_HRPI_EMRGCONTACT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMRGCONTACT') CREATE INDEX IDX_HRPI_EMRGCONTACT ON T_HRPI_EMRGCONTACT ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMRGCONTACT_BO') CREATE INDEX IDX_HRPI_EMRGCONTACT_BO ON T_HRPI_EMRGCONTACT ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_FAMILYMEMB', 'T_HRPI_FAMILYMEMB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_FAMILYMEMB') CREATE INDEX IDX_HRPI_FAMILYMEMB ON T_HRPI_FAMILYMEMB ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_FAMILYMEMB_BO') CREATE INDEX IDX_HRPI_FAMILYMEMB_BO ON T_HRPI_FAMILYMEMB ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_MANAGINGSCOPE', 'T_HRPI_MANAGINGSCOPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_MANAGINGSCOPE_PER') CREATE INDEX IDX_HRPI_MANAGINGSCOPE_PER ON T_HRPI_MANAGINGSCOPE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_MANAGINGSCOPE_BO') CREATE INDEX IDX_HRPI_MANAGINGSCOPE_BO ON T_HRPI_MANAGINGSCOPE ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERADDRESS', 'T_HRPI_PERADDRESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERADDRESS') CREATE INDEX IDX_HRPI_PERADDRESS ON T_HRPI_PERADDRESS ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERADDRESS_BO') CREATE INDEX IDX_HRPI_PERADDRESS_BO ON T_HRPI_PERADDRESS ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_RSMPROSKL', 'T_HRPI_RSMPROSKL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_RSMPROSKL_PER') CREATE INDEX IDX_HRPI_RSMPROSKL_PER ON T_HRPI_RSMPROSKL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_RSMPROSKL_BO') CREATE INDEX IDX_HRPI_RSMPROSKL_BO ON T_HRPI_RSMPROSKL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_TRIALPERIOD', 'T_HRPI_TRIALPERIOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIOD_EMP') CREATE INDEX IDX_HRPI_TRIALPERIOD_EMP ON T_HRPI_TRIALPERIOD ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIOD_PER') CREATE INDEX IDX_HRPI_TRIALPERIOD_PER ON T_HRPI_TRIALPERIOD ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIOD_BO') CREATE INDEX IDX_HRPI_TRIALPERIOD_BO ON T_HRPI_TRIALPERIOD ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_TRIALPERIODRST', 'T_HRPI_TRIALPERIODRST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIODRST_EMP') CREATE INDEX IDX_HRPI_TRIALPERIODRST_EMP ON T_HRPI_TRIALPERIODRST ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIODRST_PER') CREATE INDEX IDX_HRPI_TRIALPERIODRST_PER ON T_HRPI_TRIALPERIODRST ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_TRIALPERIODRST_BO') CREATE INDEX IDX_HRPI_TRIALPERIODRST_BO ON T_HRPI_TRIALPERIODRST ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERNONTSPROP_L', 'T_HRPI_PERNONTSPROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERNONTSPROP_L') CREATE INDEX IDX_HRPI_PERNONTSPROP_L ON T_HRPI_PERNONTSPROP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_CMPEMP', 'T_HRPI_CMPEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CMPEMP_PER') CREATE INDEX IDX_HRPI_CMPEMP_PER ON T_HRPI_CMPEMP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CMPEMP_EMP') CREATE INDEX IDX_HRPI_CMPEMP_EMP ON T_HRPI_CMPEMP ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_CMPEMP_BO') CREATE INDEX IDX_HRPI_CMPEMP_BO ON T_HRPI_CMPEMP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_DEPEMP', 'T_HRPI_DEPEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_PER') CREATE INDEX IDX_HRPI_DEPEMP_PER ON T_HRPI_DEPEMP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_EMP') CREATE INDEX IDX_HRPI_DEPEMP_EMP ON T_HRPI_DEPEMP ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_CMP') CREATE INDEX IDX_HRPI_DEPEMP_CMP ON T_HRPI_DEPEMP ( FCMPEMPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_ORG') CREATE INDEX IDX_HRPI_DEPEMP_ORG ON T_HRPI_DEPEMP ( FADMINORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_BO') CREATE INDEX IDX_HRPI_DEPEMP_BO ON T_HRPI_DEPEMP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMPENTREL', 'T_HRPI_EMPENTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_PER') CREATE INDEX IDX_HRPI_EMPENTREL_PER ON T_HRPI_EMPENTREL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_EMP') CREATE INDEX IDX_HRPI_EMPENTREL_EMP ON T_HRPI_EMPENTREL ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_NO') CREATE INDEX IDX_HRPI_EMPENTREL_NO ON T_HRPI_EMPENTREL ( FEMPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_PNO') CREATE INDEX IDX_HRPI_EMPENTREL_PNO ON T_HRPI_EMPENTREL ( FOLDEMPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_NUM') CREATE INDEX IDX_HRPI_EMPENTREL_NUM ON T_HRPI_EMPENTREL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPENTREL_BO') CREATE INDEX IDX_HRPI_EMPENTREL_BO ON T_HRPI_EMPENTREL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMPJOBREL', 'T_HRPI_EMPJOBREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPJOBREL_PER') CREATE INDEX IDX_HRPI_EMPJOBREL_PER ON T_HRPI_EMPJOBREL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPJOBREL_EMP') CREATE INDEX IDX_HRPI_EMPJOBREL_EMP ON T_HRPI_EMPJOBREL ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPJOBREL_BO') CREATE INDEX IDX_HRPI_EMPJOBREL_BO ON T_HRPI_EMPJOBREL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMPNONENTREL', 'T_HRPI_EMPNONENTREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPNONENTREL_PER') CREATE INDEX IDX_HRPI_EMPNONENTREL_PER ON T_HRPI_EMPNONENTREL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPNONENTREL_EMP') CREATE INDEX IDX_HRPI_EMPNONENTREL_EMP ON T_HRPI_EMPNONENTREL ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPNONENTREL_NO') CREATE INDEX IDX_HRPI_EMPNONENTREL_NO ON T_HRPI_EMPNONENTREL ( FEMPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPNONENTREL_RID') CREATE INDEX IDX_HRPI_EMPNONENTREL_RID ON T_HRPI_EMPNONENTREL ( FPREEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPNONENTREL_BO') CREATE INDEX IDX_HRPI_EMPNONENTREL_BO ON T_HRPI_EMPNONENTREL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PEREXT', 'T_HRPI_PEREXT', 'FPEREXTID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREXT_FID') CREATE INDEX IDX_HRPI_PEREXT_FID ON T_HRPI_PEREXT ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREXT_BO') CREATE INDEX IDX_HRPI_PEREXT_BO ON T_HRPI_PEREXT ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERNONTSPROP', 'T_HRPI_PERNONTSPROP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERNONTSPROP_FID') CREATE INDEX IDX_HRPI_PERNONTSPROP_FID ON T_HRPI_PERNONTSPROP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERNONTSPROP_BO') CREATE INDEX IDX_HRPI_PERNONTSPROP_BO ON T_HRPI_PERNONTSPROP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERREGION', 'T_HRPI_PERREGION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERREGION_PER') CREATE INDEX IDX_HRPI_PERREGION_PER ON T_HRPI_PERREGION ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERREGION_BO') CREATE INDEX IDX_HRPI_PERREGION_BO ON T_HRPI_PERREGION ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERSON', 'T_HRPI_PERSON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSON_FID') CREATE INDEX IDX_HRPI_PERSON_FID ON T_HRPI_PERSON ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSON_NAME') CREATE INDEX IDX_HRPI_PERSON_NAME ON T_HRPI_PERSON ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSON_BO') CREATE INDEX IDX_HRPI_PERSON_BO ON T_HRPI_PERSON ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERTSPROP', 'T_HRPI_PERTSPROP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERTSPROP_FID') CREATE INDEX IDX_HRPI_PERTSPROP_FID ON T_HRPI_PERTSPROP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERTSPROP_BO') CREATE INDEX IDX_HRPI_PERTSPROP_BO ON T_HRPI_PERTSPROP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_FERTILITYINFO', 'T_HRPI_FERTILITYINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_FERTILITYINFO_PER') CREATE INDEX IDX_HRPI_FERTILITYINFO_PER ON T_HRPI_FERTILITYINFO ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_FERTILITYINFO_BO') CREATE INDEX IDX_HRPI_FERTILITYINFO_BO ON T_HRPI_FERTILITYINFO ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PEREDUEXPCERT', 'T_HRPI_PEREDUEXPCERT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EDUCERT_PERSON') CREATE INDEX IDX_HRPI_EDUCERT_PERSON ON T_HRPI_PEREDUEXPCERT ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREDUEXPCERT_BO') CREATE INDEX IDX_HRPI_PEREDUEXPCERT_BO ON T_HRPI_PEREDUEXPCERT ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMPPOSORGREL', 'T_HRPI_EMPPOSORGREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_PER') CREATE INDEX IDX_HRPI_EMPPOSORGREL_PER ON T_HRPI_EMPPOSORGREL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_EMP') CREATE INDEX IDX_HRPI_EMPPOSORGREL_EMP ON T_HRPI_EMPPOSORGREL ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_DEP') CREATE INDEX IDX_HRPI_EMPPOSORGREL_DEP ON T_HRPI_EMPPOSORGREL ( FDEPEMPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_ORG') CREATE INDEX IDX_HRPI_EMPPOSORGREL_ORG ON T_HRPI_EMPPOSORGREL ( FADMINORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_JOB') CREATE INDEX IDX_HRPI_EMPPOSORGREL_JOB ON T_HRPI_EMPPOSORGREL ( FJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_NO') CREATE INDEX IDX_HRPI_EMPPOSORGREL_NO ON T_HRPI_EMPPOSORGREL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPOSORGREL_BO') CREATE INDEX IDX_HRPI_EMPPOSORGREL_BO ON T_HRPI_EMPPOSORGREL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PREWORKEXP', 'T_HRPI_PREWORKEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PREWORKEXP_PER') CREATE INDEX IDX_HRPI_PREWORKEXP_PER ON T_HRPI_PREWORKEXP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PREWORKEXP_BO') CREATE INDEX IDX_HRPI_PREWORKEXP_BO ON T_HRPI_PREWORKEXP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PEREDUEXP', 'T_HRPI_PEREDUEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREDUEXP_PER') CREATE INDEX IDX_HRPI_PEREDUEXP_PER ON T_HRPI_PEREDUEXP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEREDUEXP_BO') CREATE INDEX IDX_HRPI_PEREDUEXP_BO ON T_HRPI_PEREDUEXP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERCRE', 'T_HRPI_PERCRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCRE_PER') CREATE INDEX IDX_HRPI_PERCRE_PER ON T_HRPI_PERCRE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCRE_FNO') CREATE INDEX IDX_HRPI_PERCRE_FNO ON T_HRPI_PERCRE ( FNUMBER ,FCREDENTIALSTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERCRE_BO') CREATE INDEX IDX_HRPI_PERCRE_BO ON T_HRPI_PERCRE ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMPLOYEE', 'T_HRPI_EMPLOYEE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPLOYEE_PER') CREATE INDEX IDX_HRPI_EMPLOYEE_PER ON T_HRPI_EMPLOYEE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPLOYEE_NO') CREATE INDEX IDX_HRPI_EMPLOYEE_NO ON T_HRPI_EMPLOYEE ( FEMPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPLOYEE_BO') CREATE INDEX IDX_HRPI_EMPLOYEE_BO ON T_HRPI_EMPLOYEE ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_LEGALENTITY', 'T_HRPI_LEGALENTITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LEGALENTITY_EMP') CREATE INDEX IDX_HRPI_LEGALENTITY_EMP ON T_HRPI_LEGALENTITY ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LEGALENTITY_PER') CREATE INDEX IDX_HRPI_LEGALENTITY_PER ON T_HRPI_LEGALENTITY ( FPERSONID );


 EXEC P_ALTERPK 'PK_HRPI_RSMPATINV', 'T_HRPI_RSMPATINV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_RSMPATINV_PER') CREATE INDEX IDX_HRPI_RSMPATINV_PER ON T_HRPI_RSMPATINV ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_RSMPATINV_BO') CREATE INDEX IDX_HRPI_RSMPATINV_BO ON T_HRPI_RSMPATINV ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_RSMPATINV_L', 'T_HRPI_RSMPATINV_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_RSMPATINV_L') CREATE INDEX IDX_HRPI_RSMPATINV_L ON T_HRPI_RSMPATINV_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERLGABILITY', 'T_HRPI_PERLGABILITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERLGABILITY') CREATE INDEX IDX_HRPI_PERLGABILITY ON T_HRPI_PERLGABILITY ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERLGABILITY_BO') CREATE INDEX IDX_HRPI_PERLGABILITY_BO ON T_HRPI_PERLGABILITY ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERPRACTQUAL_L', 'T_HRPI_PERPRACTQUAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERPRACTQUAL_L') CREATE INDEX IDX_HRPI_PERPRACTQUAL_L ON T_HRPI_PERPRACTQUAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERSERLEN_L', 'T_HRPI_PERSERLEN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSERLEN_L') CREATE INDEX IDX_HRPI_PERSERLEN_L ON T_HRPI_PERSERLEN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERSONROLEREL_L', 'T_HRPI_PERSONROLEREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSONROLEREL_L') CREATE INDEX IDX_HRPI_PERSONROLEREL_L ON T_HRPI_PERSONROLEREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPPROEXP_L', 'T_HRPI_EMPPROEXP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPROEXP_L') CREATE INDEX IDX_HRPI_EMPPROEXP_L ON T_HRPI_EMPPROEXP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_EMPTRAINFILE_L', 'T_HRPI_EMPTRAINFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPTRAINFILE_L') CREATE INDEX IDX_HRPI_EMPTRAINFILE_L ON T_HRPI_EMPTRAINFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERRPRECORD_L', 'T_HRPI_PERRPRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERRPRECORD_L') CREATE INDEX IDX_HRPI_PERRPRECORD_L ON T_HRPI_PERRPRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PEROCPQUAL_L', 'T_HRPI_PEROCPQUAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEROCPQUAL_L') CREATE INDEX IDX_HRPI_PEROCPQUAL_L ON T_HRPI_PEROCPQUAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERPRACTQUAL', 'T_HRPI_PERPRACTQUAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERPRACTQUAL') CREATE INDEX IDX_HRPI_PERPRACTQUAL ON T_HRPI_PERPRACTQUAL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERPRACTQUAL_BO') CREATE INDEX IDX_HRPI_PERPRACTQUAL_BO ON T_HRPI_PERPRACTQUAL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_EMPTRAINFILE', 'T_HRPI_EMPTRAINFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPTRAINFILE') CREATE INDEX IDX_HRPI_EMPTRAINFILE ON T_HRPI_EMPTRAINFILE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPTRAINFILE_BO') CREATE INDEX IDX_HRPI_EMPTRAINFILE_BO ON T_HRPI_EMPTRAINFILE ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PEROCPQUAL', 'T_HRPI_PEROCPQUAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEROCPQUAL_PER') CREATE INDEX IDX_HRPI_PEROCPQUAL_PER ON T_HRPI_PEROCPQUAL ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PEROCPQUAL_BO') CREATE INDEX IDX_HRPI_PEROCPQUAL_BO ON T_HRPI_PEROCPQUAL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERRPRECORD', 'T_HRPI_PERRPRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERRPRECORD_PER') CREATE INDEX IDX_HRPI_PERRPRECORD_PER ON T_HRPI_PERRPRECORD ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERRPRECORD_BO') CREATE INDEX IDX_HRPI_PERRPRECORD_BO ON T_HRPI_PERRPRECORD ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERSONROLEREL', 'T_HRPI_PERSONROLEREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSONROLEREL_ROLE') CREATE INDEX IDX_HRPI_PERSONROLEREL_ROLE ON T_HRPI_PERSONROLEREL ( FROLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSONROLEREL_PERSON') CREATE INDEX IDX_HRPI_PERSONROLEREL_PERSON ON T_HRPI_PERSONROLEREL ( FPERSONID ,FROLEID ,FISEFFECTIVE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSONROLEREL_BO') CREATE INDEX IDX_HRPI_PERSONROLEREL_BO ON T_HRPI_PERSONROLEREL ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERSERLEN', 'T_HRPI_PERSERLEN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSERLEN_PRE') CREATE INDEX IDX_HRPI_PERSERLEN_PRE ON T_HRPI_PERSERLEN ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSERLEN_BO') CREATE INDEX IDX_HRPI_PERSERLEN_BO ON T_HRPI_PERSERLEN ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERSONENTITYCONF', 'T_HRPI_PERSONENTITYCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSONENTITYCONF') CREATE INDEX IDX_HRPI_PERSONENTITYCONF ON T_HRPI_PERSONENTITYCONF ( FENTITY );


 EXEC P_ALTERPK 'PK_HRPI_WORKCALENREL', 'T_HRPI_WORKCALENREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERSON') CREATE INDEX IDX_HRPI_PERSON ON T_HRPI_WORKCALENREL ( FPERSONID );


 EXEC P_ALTERPK 'PK_HRPI_EMPPROEXP', 'T_HRPI_EMPPROEXP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPROEXP') CREATE INDEX IDX_HRPI_EMPPROEXP ON T_HRPI_EMPPROEXP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_EMPPROEXP_BO') CREATE INDEX IDX_HRPI_EMPPROEXP_BO ON T_HRPI_EMPPROEXP ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_WORKCALENREL_L', 'T_HRPI_WORKCALENREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_WORKCALENREL_L') CREATE INDEX IDX_HRPI_WORKCALENREL_L ON T_HRPI_WORKCALENREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERHOBBY_L', 'T_HRPI_PERHOBBY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERHOBBY_L') CREATE INDEX IDX_HRPI_PERHOBBY_L ON T_HRPI_PERHOBBY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERHOBBY', 'T_HRPI_PERHOBBY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERHOBBY') CREATE INDEX IDX_HRPI_PERHOBBY ON T_HRPI_PERHOBBY ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERHOBBY_BO') CREATE INDEX IDX_HRPI_PERHOBBY_BO ON T_HRPI_PERHOBBY ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_PERPROTITLE_L', 'T_HRPI_PERPROTITLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERPROTITLE_L') CREATE INDEX IDX_HRPI_PERPROTITLE_L ON T_HRPI_PERPROTITLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PERPROTITLE', 'T_HRPI_PERPROTITLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERPROTITLE') CREATE INDEX IDX_HRPI_PERPROTITLE ON T_HRPI_PERPROTITLE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PERPROTITLE_BO') CREATE INDEX IDX_HRPI_PERPROTITLE_BO ON T_HRPI_PERPROTITLE ( FBOID );

 EXEC P_ALTERPK 'PK_HRPI_PERSONUSERREL', 'T_HRPI_PERSONUSERREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PESONID') CREATE INDEX IDX_HRPI_PESONID ON T_HRPI_PERSONUSERREL ( FPERSONID );



/**End D:\PDM_UPGRADE\PDM1\HRPI_constraint.sql **/

