﻿/**Begin D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_BUSIEVENT') 
 CREATE TABLE T_HRPI_BUSIEVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSOURCEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISBUSINESSEVENTBO VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME,
FEVENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EVENT') 
 CREATE TABLE T_HRPI_EVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXECUTEWAY VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVENTBATCHTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCANCELEDEVENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATEUSERID BIGINT DEFAULT 0 NOT NULL,
FOPERATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EVENTRELHIS') 
 CREATE TABLE T_HRPI_EVENTRELHIS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FPRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FPREBSED DATETIME,
FPREBSLED DATETIME,
FBUSIEVENTID BIGINT DEFAULT 0 NOT NULL
); 


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERFILETYPASSIGN') 
 CREATE TABLE T_HRPI_ERFILETYPASSIGN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FLABORRELTYPECLSID BIGINT DEFAULT 0 NOT NULL,
FLABRELSTATUSPRDID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERFILETYPASSIGN_L') 
 CREATE TABLE T_HRPI_ERFILETYPASSIGN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERFILETYPE_L') 
 CREATE TABLE T_HRPI_ERFILETYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERFILETYPEEXC') 
 CREATE TABLE T_HRPI_ERFILETYPEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERFILETYPEUSEREG') 
 CREATE TABLE T_HRPI_ERFILETYPEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERMANFILE_L') 
 CREATE TABLE T_HRPI_ERMANFILE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_LABORRELSTATUSMBD') 
 CREATE TABLE T_HRPI_LABORRELSTATUSMBD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERFILETYPE') 
 CREATE TABLE T_HRPI_ERFILETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FERFILETYPEASSIGNID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FISDEFAULTFILE CHAR(1) DEFAULT '0' NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ERMANFILE') 
 CREATE TABLE T_HRPI_ERMANFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSRELID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FISMANAGED CHAR(1) DEFAULT '0' NOT NULL,
FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FFILETYPEID BIGINT DEFAULT 0 NOT NULL,
FISSYSTEM CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERNONTSPROPID BIGINT DEFAULT 0 NOT NULL,
FEMPENTRELID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_CMPEMP_L') 
 CREATE TABLE T_HRPI_CMPEMP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_DEPEMP_L') 
 CREATE TABLE T_HRPI_DEPEMP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPENTREL_L') 
 CREATE TABLE T_HRPI_EMPENTREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPJOBREL_L') 
 CREATE TABLE T_HRPI_EMPJOBREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPLOYEE_L') 
 CREATE TABLE T_HRPI_EMPLOYEE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPNONENTREL_L') 
 CREATE TABLE T_HRPI_EMPNONENTREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPORGRELALL_L') 
 CREATE TABLE T_HRPI_EMPORGRELALL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMINORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVARIATIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPPOSORGREL_L') 
 CREATE TABLE T_HRPI_EMPPOSORGREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERCONTACT_L') 
 CREATE TABLE T_HRPI_PERCONTACT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSYSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEREXT_L') 
 CREATE TABLE T_HRPI_PEREXT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FPEREXTID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERREGION_L') 
 CREATE TABLE T_HRPI_PERREGION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSON_L') 
 CREATE TABLE T_HRPI_PERSON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_BASELOCATION_L') 
 CREATE TABLE T_HRPI_BASELOCATION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_CONTRWORKLOC_L') 
 CREATE TABLE T_HRPI_CONTRWORKLOC_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMRGCONTACT_L') 
 CREATE TABLE T_HRPI_EMRGCONTACT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_FAMILYMEMB_L') 
 CREATE TABLE T_HRPI_FAMILYMEMB_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_LEGALENTITY_L') 
 CREATE TABLE T_HRPI_LEGALENTITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_MANAGINGSCOPE_L') 
 CREATE TABLE T_HRPI_MANAGINGSCOPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERADDRESS_L') 
 CREATE TABLE T_HRPI_PERADDRESS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEREDUEXPCERT_L') 
 CREATE TABLE T_HRPI_PEREDUEXPCERT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERLGABILITY_L') 
 CREATE TABLE T_HRPI_PERLGABILITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PREWORKEXP_L') 
 CREATE TABLE T_HRPI_PREWORKEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(240) DEFAULT ' ' NOT NULL,
FEMPADDRESS NVARCHAR(720) DEFAULT ' ' NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FJOBDESC NVARCHAR(1500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_RSMPROSKL_L') 
 CREATE TABLE T_HRPI_RSMPROSKL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TRIALPERIODRST_L') 
 CREATE TABLE T_HRPI_TRIALPERIODRST_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_FERTILITYINFO_L') 
 CREATE TABLE T_HRPI_FERTILITYINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TRIALPERIOD_L') 
 CREATE TABLE T_HRPI_TRIALPERIOD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREGCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGCATEGORY NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERCRE_L') 
 CREATE TABLE T_HRPI_PERCRE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERCARDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FIDCARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHOR NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEREDUEXP_L') 
 CREATE TABLE T_HRPI_PEREDUEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHOOLRECORD NVARCHAR(300) DEFAULT ' ' NOT NULL,
FCOLLEGEDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERTSPROP_L') 
 CREATE TABLE T_HRPI_PERTSPROP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPORGRELALL') 
 CREATE TABLE T_HRPI_EMPORGRELALL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FSERVICELENGTH INT DEFAULT 0 NOT NULL,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FISEXISTPROBATION CHAR(1) DEFAULT '0' NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FISINSYSTEM CHAR(1) DEFAULT '0' NOT NULL,
FSTARTPROBATION DATETIME,
FENDPROBATION DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMINORG NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOB NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVARIATIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERCONTACT') 
 CREATE TABLE T_HRPI_PERCONTACT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FOTHERPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPEREMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUSEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FWORKPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTELEPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSTCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FWECHAT VARCHAR(100) DEFAULT ' ' NOT NULL,
FQQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FBLOG VARCHAR(100) DEFAULT ' ' NOT NULL,
FFACEBOOK VARCHAR(100) DEFAULT ' ' NOT NULL,
FWHATSAPP VARCHAR(100) DEFAULT ' ' NOT NULL,
FSKYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FTWITTER VARCHAR(100) DEFAULT ' ' NOT NULL,
FGOOGLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FYUNZHIJIA VARCHAR(100) DEFAULT ' ' NOT NULL,
FFAX VARCHAR(100) DEFAULT ' ' NOT NULL,
FSYSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_BASELOCATION') 
 CREATE TABLE T_HRPI_BASELOCATION (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSYSENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_CONTRWORKLOC') 
 CREATE TABLE T_HRPI_CONTRWORKLOC (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSYSENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMRGCONTACT') 
 CREATE TABLE T_HRPI_EMRGCONTACT (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMRGNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FEMRGPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FEMRGADDRESS NVARCHAR(720) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FEMERGCONTACTYPEID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_FAMILYMEMB') 
 CREATE TABLE T_HRPI_FAMILYMEMB (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FFAMILYMEMBSHIPID BIGINT DEFAULT 0 NOT NULL,
FWORKUNIT NVARCHAR(150) DEFAULT ' ' NOT NULL,
FMOBILEPHONE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCONTACTADDR NVARCHAR(720) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_MANAGINGSCOPE') 
 CREATE TABLE T_HRPI_MANAGINGSCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FSTARTDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARYSCOPE CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISLATESTRECORD CHAR(1) DEFAULT '0' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERADDRESS') 
 CREATE TABLE T_HRPI_PERADDRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FADDRESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FADDRESSINFO NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCOUNTRYCODEID BIGINT DEFAULT 0 NOT NULL,
FPOSTALCODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_RSMPROSKL') 
 CREATE TABLE T_HRPI_RSMPROSKL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDURATION DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMILIARITYID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TRIALPERIOD') 
 CREATE TABLE T_HRPI_TRIALPERIOD (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPROBATION INT DEFAULT 0 NOT NULL,
FPROBATIONUNIT VARCHAR(150) DEFAULT ' ' NOT NULL,
FPREREGULARDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSYSENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME,
FEXAMSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FREGSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FASKSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXAMSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FREGCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGCATEGORY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FTRIALPERIODRST BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TRIALPERIODRST') 
 CREATE TABLE T_HRPI_TRIALPERIODRST (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPROBATIONRSTID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FAPPROVALID BIGINT DEFAULT 0 NOT NULL,
FAPPROVALDEPT VARCHAR(150) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSYSENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTRIALPERIODID BIGINT DEFAULT 0 NOT NULL,
FASSESSPERSONID BIGINT DEFAULT 0 NOT NULL,
FHEADSCULPTURE VARCHAR(300) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FEVALUATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSESSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERNONTSPROP_L') 
 CREATE TABLE T_HRPI_PERNONTSPROP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_CMPEMP') 
 CREATE TABLE T_HRPI_CMPEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARYSCOPE CHAR(1) DEFAULT '0' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_DEPEMP') 
 CREATE TABLE T_HRPI_DEPEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPENTREL') 
 CREATE TABLE T_HRPI_EMPENTREL (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FOLDEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FENTERPRISEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FSYSENDDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FSERVICELENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FADJUSTLENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FONBOARDSOURCEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISPROBATION CHAR(1) DEFAULT '1' NOT NULL,
FPREEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPROBATION INT DEFAULT 0 NOT NULL,
FPROBATIONUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FPREREGULARDATE DATETIME,
FREGULARDATE DATETIME,
FLABORSUBCATEID BIGINT DEFAULT 0 NOT NULL,
FLABRELSTATUSPRDID BIGINT DEFAULT 0 NOT NULL,
FFIRSTSTARTDATE DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPJOBREL') 
 CREATE TABLE T_HRPI_EMPJOBREL (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FHRBUID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FJOBLENGTH INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPNONENTREL') 
 CREATE TABLE T_HRPI_EMPNONENTREL (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FENTERPRISEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FSYSENDDATE DATETIME,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPREEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FENDDATE DATETIME,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEREXT') 
 CREATE TABLE T_HRPI_PEREXT (
FPEREXTID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERNONTSPROP') 
 CREATE TABLE T_HRPI_PERNONTSPROP (
FID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FNAMEEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FENNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIVELNGNAME VARCHAR(1000) DEFAULT ' ' NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FFOLKID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMERNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FBIRTHPLACEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONSTELLATIONID BIGINT DEFAULT 0 NOT NULL,
FSYMBOLICANIMALSID BIGINT DEFAULT 0 NOT NULL,
FLUNARCALENDARBIRTHDAY DATETIME,
FNATIVENAMEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FBEGINSERVICEDATE DATETIME,
FDEATHDATE DATETIME,
FAGE INT DEFAULT 0 NOT NULL,
FHEIGHT INT DEFAULT 0 NOT NULL,
FBLOODTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENTSERVICELEN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FJULIANBIRTHDAY DATETIME,
FBIRTHDAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNATIVENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FHEADSCULPTURE VARCHAR(300) DEFAULT ' ' NOT NULL,
FMARRIAGEREGISTDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERREGION') 
 CREATE TABLE T_HRPI_PERREGION (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FREGRESIDENCENATUREID BIGINT DEFAULT 0 NOT NULL,
FPOLITICALSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPARTYID BIGINT DEFAULT 0 NOT NULL,
FJOINPARTYDATE DATETIME,
FRELIGIONID BIGINT DEFAULT 0 NOT NULL,
FREGRESIDENCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSON') 
 CREATE TABLE T_HRPI_PERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FHEADSCULPTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISHRCREATE CHAR(1) DEFAULT '1' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONINDEXID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERTSPROP') 
 CREATE TABLE T_HRPI_PERTSPROP (
FID BIGINT DEFAULT 0 NOT NULL,
FMARRIAGESTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHILDRENNUMBER INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCREATSTATUSID BIGINT DEFAULT 0 NOT NULL,
FHEALTHSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_FERTILITYINFO') 
 CREATE TABLE T_HRPI_FERTILITYINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHILDRENNUMBER INT DEFAULT 0 NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FBATCHNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FPROCREATMODE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEREDUEXPCERT') 
 CREATE TABLE T_HRPI_PEREDUEXPCERT (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPEREDUEXPID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPREGETTIME DATETIME,
FISAUTHENTICATED CHAR(1) DEFAULT '0' NOT NULL,
FAUTHCERTNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREDENTIALSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPPOSORGREL') 
 CREATE TABLE T_HRPI_EMPPOSORGREL (
FID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUS BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FSYSENDDATE DATETIME,
FISLATESTRECORD CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FENDDATE DATETIME,
FSERVICELENGTH INT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FVARIATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FISEXISTPROBATION CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISINSYSTEM CHAR(1) DEFAULT '0' NOT NULL,
FSTARTPROBATION DATETIME,
FENDPROBATION DATETIME,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FLASTWORKDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PREWORKEXP') 
 CREATE TABLE T_HRPI_PREWORKEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FEXITDATE DATETIME,
FUNITNAME NVARCHAR(240) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(240) DEFAULT ' ' NOT NULL,
FEMPCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FEMPADDRESS NVARCHAR(720) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FJOBDESC NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FJOBCITYID BIGINT DEFAULT 0 NOT NULL,
FLENGTH INT DEFAULT 0 NOT NULL,
FTENURETIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRADEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUBORDINATES INT DEFAULT 0 NOT NULL,
FISABROADBACKGROUND CHAR(1) DEFAULT '0' NOT NULL,
FWITNESSPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISUNTILNOW CHAR(1) DEFAULT '0' NOT NULL,
FPOSITIONTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPORTPOSITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMPANYSCALEID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEREDUEXP') 
 CREATE TABLE T_HRPI_PEREDUEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FDEGREEID BIGINT DEFAULT 0 NOT NULL,
FGRADUATESCHOOL BIGINT DEFAULT 0 NOT NULL,
FCOLLEGECOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FADMISSIONDATE DATETIME,
FGRADUTIONDATE DATETIME,
FMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSECONDMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAWARDEDDATE DATETIME,
FISHIGHESTDEGREE CHAR(1) DEFAULT '0' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FISFULLTIME CHAR(1) DEFAULT '0' NOT NULL,
FSCHOOLSYSTEM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEDUNATUREID BIGINT DEFAULT 0 NOT NULL,
FAUTHEDEGREEID BIGINT DEFAULT 0 NOT NULL,
FSCHOOLRECORD NVARCHAR(300) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISOVERSEAS CHAR(1) DEFAULT '0' NOT NULL,
FCOLLEGEDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERCRE') 
 CREATE TABLE T_HRPI_PERCRE (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYCODEID BIGINT DEFAULT 0 NOT NULL,
FCREDENTIALSTYPEID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREDENTIALSCATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSUEDATE DATETIME,
FEXPIRATIONDATE DATETIME,
FLASTNAMEEN VARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAMEEN VARCHAR(150) DEFAULT ' ' NOT NULL,
FLASTNAMECN VARCHAR(150) DEFAULT ' ' NOT NULL,
FFIRSTNAMECN VARCHAR(150) DEFAULT ' ' NOT NULL,
FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
FISIDENTITY CHAR(1) DEFAULT '0' NOT NULL,
FPERCARDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FFOLKID BIGINT DEFAULT 0 NOT NULL,
FIDCARDADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FISNOFIXEDTERM CHAR(1) DEFAULT '0' NOT NULL,
FBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHORITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER_ENP NCLOB,
FISSUINGPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFACEIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FREVERSEIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSUINGAUTHOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPLOYEE') 
 CREATE TABLE T_HRPI_EMPLOYEE (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FENTERPRISEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FSYSENDDATE DATETIME,
FMID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FENDDATE DATETIME,
FLASTWORKDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME, 
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FLABORRELSTATUS BIGINT DEFAULT 0 NOT NULL,
FCANDIDATE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_LEGALENTITY') 
 CREATE TABLE T_HRPI_LEGALENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCORPORATEORGID BIGINT DEFAULT 0 NOT NULL,
FPERCENTAGE DECIMAL(19,6) DEFAULT 0.0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSYSENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_RSMPATINV') 
 CREATE TABLE T_HRPI_RSMPATINV (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FPATENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FINVENTOR NVARCHAR(150) DEFAULT ' ' NOT NULL,
FAPPLICATIONDATE DATETIME,
FPTSTARTDATE DATETIME,
FPTENDINGDATE DATETIME,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FPATENTNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPATENTDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPATENTURL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_RSMPATINV_L') 
 CREATE TABLE T_HRPI_RSMPATINV_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPATENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINVENTOR NVARCHAR(150) DEFAULT ' ' NOT NULL,
FPATENTDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPATENTNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPATENTURL NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERLGABILITY') 
 CREATE TABLE T_HRPI_PERLGABILITY (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FLANGUAGEID BIGINT DEFAULT 0 NOT NULL,
FLANGUAGECERTID BIGINT DEFAULT 0 NOT NULL,
FGRADE NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCERTISSUEDATE DATETIME,
FWRITESCORE NVARCHAR(600) DEFAULT ' ' NOT NULL,
FREADSCORE NVARCHAR(600) DEFAULT ' ' NOT NULL,
FLISTENSCORE NVARCHAR(600) DEFAULT ' ' NOT NULL,
FSPEAKSCORE NVARCHAR(600) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FLISTEN BIGINT DEFAULT 0 NOT NULL,
FSPEAK BIGINT DEFAULT 0 NOT NULL,
FREAD BIGINT DEFAULT 0 NOT NULL,
FFAMILIARITY BIGINT DEFAULT 0 NOT NULL,
FWRITE BIGINT DEFAULT 0 NOT NULL,
FISWORK CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FOTHERLANGUAGECERT VARCHAR(200) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERPRACTQUAL_L') 
 CREATE TABLE T_HRPI_PERPRACTQUAL_L (
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FGRANTUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGISTRATIONUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSERLEN_L') 
 CREATE TABLE T_HRPI_PERSERLEN_L (
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSONROLEREL_L') 
 CREATE TABLE T_HRPI_PERSONROLEREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPPROEXP_L') 
 CREATE TABLE T_HRPI_EMPPROEXP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FROLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCERTIFIER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROJECTURL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FWORKINGCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPTRAINFILE_L') 
 CREATE TABLE T_HRPI_EMPTRAINFILE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAGREEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRAININGCERTIFICATE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERRPRECORD_L') 
 CREATE TABLE T_HRPI_PERRPRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(150) DEFAULT ' ' NOT NULL,
FREASONREVOCATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCUMENTNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FREVOCATIONNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMATCHSTAGE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEROCPQUAL_L') 
 CREATE TABLE T_HRPI_PEROCPQUAL_L (
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FGRANTUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGISTRATIONUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERPRACTQUAL') 
 CREATE TABLE T_HRPI_PERPRACTQUAL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FQUALIFICATIONID BIGINT DEFAULT 0 NOT NULL,
FQUALEVELID BIGINT DEFAULT 0 NOT NULL,
FGETTIME DATETIME,
FENDDATE DATETIME,
FREGISTRATEDATE DATETIME,
FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FISSUEDNATIONID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGRANTUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREGISTRATIONUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPTRAINFILE') 
 CREATE TABLE T_HRPI_EMPTRAINFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FCLASSHOUR DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAINTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIOD DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAINMODEID BIGINT DEFAULT 0 NOT NULL,
FORGANIZERID VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FHRBUID BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISSIGN CHAR(1) DEFAULT '0' NOT NULL,
FTRAINLENGTH DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAGREEMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRAINLENGTHUNIT VARCHAR(2) DEFAULT ' ' NOT NULL,
FISINNERTRAINING CHAR(1) DEFAULT '0' NOT NULL,
FTRAININGCERTIFICATE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIFICATENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PEROCPQUAL') 
 CREATE TABLE T_HRPI_PEROCPQUAL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FQUALIFICATIONID BIGINT DEFAULT 0 NOT NULL,
FQUALEVELID BIGINT DEFAULT 0 NOT NULL,
FGETTIME DATETIME,
FENDDATE DATETIME,
FREGISTRATEDATE DATETIME,
FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FISSUEDNATIONID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGRANTUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGISTRATIONUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXPIRATIONDATE DATETIME,
FISNOFIXEDTERM CHAR(1) DEFAULT '0' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERRPRECORD') 
 CREATE TABLE T_HRPI_PERRPRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FLEVELID BIGINT DEFAULT 0 NOT NULL,
FFLAG CHAR(1) DEFAULT '0' NOT NULL,
FREWARDDATE DATETIME,
FREVOCATIONDATE DATETIME,
FREVOCATION CHAR(1) DEFAULT '0' NOT NULL,
FCUTPAYMENT CHAR(1) DEFAULT '0' NOT NULL,
FRELCREDIT CHAR(1) DEFAULT '0' NOT NULL,
FMONEY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWITNESS NVARCHAR(150) DEFAULT ' ' NOT NULL,
FREASONREVOCATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCUMENTNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FREVOCATIONNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMATCHSTAGE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSONROLEREL') 
 CREATE TABLE T_HRPI_PERSONROLEREL (
FID BIGINT DEFAULT 0 NOT NULL,
FROLEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FISEFFECTIVE CHAR(1) DEFAULT '0' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTARTDATETIME DATETIME,
FENDDATETIME DATETIME,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMAINPEOINCHARGE CHAR(1) DEFAULT '0' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSERLEN') 
 CREATE TABLE T_HRPI_PERSERLEN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FFIRSTJOINCOMDATE DATETIME,
FJOINCOMDATE DATETIME,
FADJUSTCOMTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOMSERCOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FJOINWORKTIME DATETIME,
FADJUSTWORKTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWORKYEAR DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOCIALWORKAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSONENTITYCONF') 
 CREATE TABLE T_HRPI_PERSONENTITYCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(20) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCLASSIFY VARCHAR(20) DEFAULT ' ' NOT NULL,
FHISTORYTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_WORKCALENREL') 
 CREATE TABLE T_HRPI_WORKCALENREL (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FWORKCALENDARID BIGINT DEFAULT 0 NOT NULL,
FISMAINWORK CHAR(1) DEFAULT '1' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBUSINESSSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '1' NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_EMPPROEXP') 
 CREATE TABLE T_HRPI_EMPPROEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPROJECTTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FPROJECTTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXPERIENCE CHAR(1) DEFAULT '0' NOT NULL,
FCOMPANYNATUREID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FWITNESSPHONE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLIENTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FROLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCERTIFIER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBELONGSCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTPERF NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROJECTURL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FWORKINGCOMPANY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTLENUNIT VARCHAR(2) DEFAULT '1' NOT NULL,
FPROJECTLENTH DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_WORKCALENREL_L') 
 CREATE TABLE T_HRPI_WORKCALENREL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERHOBBY_L') 
 CREATE TABLE T_HRPI_PERHOBBY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FHOBBY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTEREST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLETTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERHOBBY') 
 CREATE TABLE T_HRPI_PERHOBBY (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FHOBBY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTEREST NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLETTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERPROTITLE_L') 
 CREATE TABLE T_HRPI_PERPROTITLE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPROVNUM NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_DELTAG') 
 CREATE TABLE T_HRPI_DELTAG ( 
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERPROTITLE') 
 CREATE TABLE T_HRPI_PERPROTITLE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONALID BIGINT DEFAULT 0 NOT NULL,
FPROLEVELID BIGINT DEFAULT 0 NOT NULL,
FAWARDTIME DATETIME,
FISHIGH CHAR(1) DEFAULT '0' NOT NULL,
FISCOMPANY CHAR(1) DEFAULT '0' NOT NULL,
FFIRSTTIME DATETIME,
FSECONDTIME DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDETAILS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCERTIICATEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPROVNUM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PERSONUSERREL') 
 CREATE TABLE T_HRPI_PERSONUSERREL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPERSONINDEXID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FMID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
