﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PROJECTMEMBER') 
 CREATE TABLE T_HRPI_PROJECTMEMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FCMPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOTHERPROJECTROLE NVARCHAR(500) DEFAULT ' ',
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSYSENDDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROJECTTEAMID BIGINT DEFAULT 0 NOT NULL,
FPROJECTROLEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PROJECTMEMRECORD') 
 CREATE TABLE T_HRPI_PROJECTMEMRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISPRIMARY CHAR(1) DEFAULT '0' NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTTEAMID BIGINT DEFAULT 0 NOT NULL,
FPROJECTROLEID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PROJECTMEMBER_L') 
 CREATE TABLE T_HRPI_PROJECTMEMBER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHERPROJECTROLE NVARCHAR(500) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PROJECTMEMRECORD_L') 
 CREATE TABLE T_HRPI_PROJECTMEMRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
