﻿/**Begin D:\PDM_UPGRADE\PDM1\kd_1.5.207_1_hrpi_blacklist_table_newest.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_BLACKLIST') 
 CREATE TABLE T_HRPI_BLACKLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FEMPPICTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FEMPNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FNATIONID BIGINT DEFAULT 0 NOT NULL,
FISSYSPERSON CHAR(1) DEFAULT '0' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPTYPEID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FTOREASONID BIGINT DEFAULT 0 NOT NULL,
FREASONDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERSONINDEXID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FADMINORORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONHISID BIGINT DEFAULT 0 NOT NULL,
FJOBHISID BIGINT DEFAULT 0 NOT NULL,
FQUITDATE DATETIME,
FQUITTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_BLACKCARD') 
 CREATE TABLE T_HRPI_BLACKCARD (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCARDTYPEID BIGINT DEFAULT 0 NOT NULL,
FISMAINCARD CHAR(1) DEFAULT '0' NOT NULL,
FCARDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_BLACKLIST_L') 
 CREATE TABLE T_HRPI_BLACKLIST_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREASONDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUITREASON NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TOBLACKLISTREASON') 
 CREATE TABLE T_HRPI_TOBLACKLISTREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TOBLACKLISTREASON_L') 
 CREATE TABLE T_HRPI_TOBLACKLISTREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\kd_1.5.207_1_hrpi_blacklist_table_newest.sql **/
