﻿/**Begin D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPI_PERSONUSERREL' AND KSQL_COL_NAME IN ('FENABLE'))
 ALTER TABLE T_HRPI_PERSONUSERREL ADD (FENABLE VARCHAR(2) DEFAULT '1' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_SYNCLOG')
 CREATE TABLE T_HRPI_SYNCLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPARAM VARCHAR(500) DEFAULT ' ' NOT NULL,
FRTPARAM VARCHAR(2000) DEFAULT ' ' NOT NULL,
FERRORLOG NCLOB DEFAULT ' ',
FERRORLOG_TAG NCLOB DEFAULT ' ',
FSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FTRYTIME INT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\HRPI_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRPI_SYNCLOG', 'T_HRPI_SYNCLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_NUMBER') CREATE INDEX IDX_HRPI_NUMBER ON T_HRPI_SYNCLOG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_USERID') CREATE INDEX IDX_HRPI_USERID ON T_HRPI_PERSONUSERREL ( FUSERID );


/**End D:\PDM_UPGRADE\PDM1\HRPI_constraint.sql **/
