﻿
 EXEC P_ALTERPK 'PK_HRPI_PROJECTMEMBER', 'T_HRPI_PROJECTMEMBER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_PER') CREATE INDEX IDX_HRPI_PROJECTMEMBER_PER ON T_HRPI_PROJECTMEMBER ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_EMP') CREATE INDEX IDX_HRPI_PROJECTMEMBER_EMP ON T_HRPI_PROJECTMEMBER ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_DEP') CREATE INDEX IDX_HRPI_PROJECTMEMBER_DEP ON T_HRPI_PROJECTMEMBER ( FDEPEMPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_BO') CREATE INDEX IDX_HRPI_PROJECTMEMBER_BO ON T_HRPI_PROJECTMEMBER ( FBOID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_ROLE') CREATE INDEX IDX_HRPI_PROJECTMEMBER_ROLE ON T_HRPI_PROJECTMEMBER ( FPROJECTROLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_TEAM') CREATE INDEX IDX_HRPI_PROJECTMEMBER_TEAM ON T_HRPI_PROJECTMEMBER ( FPROJECTTEAMID );


 EXEC P_ALTERPK 'PK_HRPI_PROJECTMEMRECORD', 'T_HRPI_PROJECTMEMRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMCORD_PER') CREATE INDEX IDX_HRPI_PROJECTMEMCORD_PER ON T_HRPI_PROJECTMEMRECORD ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMCORD_EMP') CREATE INDEX IDX_HRPI_PROJECTMEMCORD_EMP ON T_HRPI_PROJECTMEMRECORD ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMCORD_BO') CREATE INDEX IDX_HRPI_PROJECTMEMCORD_BO ON T_HRPI_PROJECTMEMRECORD ( FBOID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMCORD_ROLE') CREATE INDEX IDX_HRPI_PROJECTMEMCORD_ROLE ON T_HRPI_PROJECTMEMRECORD ( FPROJECTROLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMCORD_TEAM') CREATE INDEX IDX_HRPI_PROJECTMEMCORD_TEAM ON T_HRPI_PROJECTMEMRECORD ( FPROJECTTEAMID );


 EXEC P_ALTERPK 'PK_HRPI_PROJECTMEMBER_L', 'T_HRPI_PROJECTMEMBER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTMEMBER_L') CREATE INDEX IDX_HRPI_PROJECTMEMBER_L ON T_HRPI_PROJECTMEMBER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRPI_PROJECTMEMRECORD_L', 'T_HRPI_PROJECTMEMRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_PROJECTRECORD_L') CREATE INDEX IDX_HRPI_PROJECTRECORD_L ON T_HRPI_PROJECTMEMRECORD_L ( FID ,FLOCALEID );

