﻿/**Begin D:\PDM_UPGRADE\PDM1\HRPI_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_DEPEMP_LABREC') CREATE INDEX IDX_HRPI_DEPEMP_LABREC ON T_HRPI_DEPEMP ( FLABORRELRECORDID );

 EXEC P_ALTERPK 'PK_HRPI_LABORRELRECORD', 'T_HRPI_LABORRELRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LABORREL_PER') CREATE INDEX IDX_HRPI_LABORREL_PER ON T_HRPI_LABORRELRECORD ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LABORREL_EMP') CREATE INDEX IDX_HRPI_LABORREL_EMP ON T_HRPI_LABORRELRECORD ( FEMPLOYEEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LABORREL_ORG') CREATE INDEX IDX_HRPI_LABORREL_ORG ON T_HRPI_LABORRELRECORD ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LABORREL_LAW') CREATE INDEX IDX_HRPI_LABORREL_LAW ON T_HRPI_LABORRELRECORD ( FLAWENTITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LABORREL_BO') CREATE INDEX IDX_HRPI_LABORREL_BO ON T_HRPI_LABORRELRECORD ( FBOID );


 EXEC P_ALTERPK 'PK_HRPI_LABORRELRECORD_L', 'T_HRPI_LABORRELRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRPI_LABORRELRECORD_L') CREATE INDEX IDX_HRPI_LABORRELRECORD_L ON T_HRPI_LABORRELRECORD_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\HRPI_constraint.sql **/
