﻿/**Begin D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
 EXEC p_AlterColumn 'T_HRPI_DEPEMP', 'FNUMBER', 'VARCHAR(120)', 'NOT NULL', '0100', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPI_DEPEMP' AND KSQL_COL_NAME ='FASSIGNNO') 
 ALTER TABLE T_HRPI_DEPEMP ADD (FASSIGNNO VARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPI_DEPEMP' AND KSQL_COL_NAME ='FSERIALNO') 
 ALTER TABLE T_HRPI_DEPEMP ADD (FSERIALNO VARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPI_DEPEMP' AND KSQL_COL_NAME ='FLABORRELRECORDID') 
 ALTER TABLE T_HRPI_DEPEMP ADD (FLABORRELRECORDID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_LABORRELRECORD') 
 CREATE TABLE T_HRPI_LABORRELRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLAWENTITYID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FSYSENDDATE DATETIME,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
FENDDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FHISVERSION BIGINT DEFAULT 0 NOT NULL,
FINITSTATUS VARCHAR(2) DEFAULT '2' NOT NULL,
FINITDATASOURCE VARCHAR(2) DEFAULT '0' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_LABORRELRECORD_L') 
 CREATE TABLE T_HRPI_LABORRELRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
