﻿/**Begin D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PARTYMEMBER') 
 CREATE TABLE T_HRPI_PARTYMEMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FREGULARTIME DATETIME,
FJOINPARTYTIME DATETIME,
FRECOMMENDER VARCHAR(150) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGULARSITUATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FJOINPARTYBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROWTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGANIZATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEMANAGEUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYSTANDING DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPARTYDUESBASE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTOPFLOW CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FBRFD DATETIME,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITSTATUS VARCHAR(2) DEFAULT '2' NOT NULL,
FINITDATASOURCE VARCHAR(2) DEFAULT '0' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_PARTYMEMBER_L') 
 CREATE TABLE T_HRPI_PARTYMEMBER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGULARSITUATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FJOINPARTYBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROWTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYBRANCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGANIZATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEMANAGEUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_DEBARDINFO') 
 CREATE TABLE T_HRPI_DEBARDINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FSEXID BIGINT DEFAULT 0 NOT NULL,
FRELATIONID BIGINT DEFAULT 0 NOT NULL,
FDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '1' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT '1' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITSTATUS VARCHAR(2) DEFAULT '2' NOT NULL,
FINITDATASOURCE VARCHAR(2) DEFAULT '0' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL,
FISSINGLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_DEBARDINFO_L') 
 CREATE TABLE T_HRPI_DEBARDINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRPI_table.sql **/
